Bug 1799606 - libx86emu: FTBFS in Fedora rawhide/f32
Summary: libx86emu: FTBFS in Fedora rawhide/f32
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: libx86emu
Version: 32
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Neal Gompa
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard: AcceptedFreezeException
Depends On:
Blocks: F32FTBFS F32BetaFreezeException
TreeView+ depends on / blocked
 
Reported: 2020-02-06 18:34 UTC by Fedora Release Engineering
Modified: 2020-03-06 20:49 UTC (History)
3 users (show)

Fixed In Version: libx86emu-3.1-1.fc32
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2020-03-06 20:49:10 UTC
Type: ---


Attachments (Terms of Use)
build.log (9.69 KB, text/plain)
2020-02-06 18:34 UTC, Fedora Release Engineering
no flags Details
root.log (32.00 KB, text/plain)
2020-02-06 18:34 UTC, Fedora Release Engineering
no flags Details
state.log (984 bytes, text/plain)
2020-02-06 18:34 UTC, Fedora Release Engineering
no flags Details

Description Fedora Release Engineering 2020-02-06 18:34:36 UTC
libx86emu failed to build from source in Fedora rawhide/f32

https://koji.fedoraproject.org/koji/taskinfo?taskID=41318720


For details on the mass rebuild see:

https://fedoraproject.org/wiki/Fedora_32_Mass_Rebuild
Please fix libx86emu at your earliest convenience and set the bug's status to
ASSIGNED when you start fixing it. If the bug remains in NEW state for 8 weeks,
libx86emu will be orphaned. Before branching of Fedora 33,
libx86emu will be retired, if it still fails to build.

For more details on the FTBFS policy, please visit:
https://fedoraproject.org/wiki/Fails_to_build_from_source

Comment 1 Fedora Release Engineering 2020-02-06 18:34:38 UTC
Created attachment 1659559 [details]
build.log

Comment 2 Fedora Release Engineering 2020-02-06 18:34:40 UTC
Created attachment 1659560 [details]
root.log

file root.log too big, will only attach last 32768 bytes

Comment 3 Fedora Release Engineering 2020-02-06 18:34:41 UTC
Created attachment 1659561 [details]
state.log

Comment 4 Ben Cotton 2020-02-11 17:02:49 UTC
This bug appears to have been reported against 'rawhide' during the Fedora 32 development cycle.
Changing version to 32.

Comment 5 Fedora Release Engineering 2020-02-16 04:29:53 UTC
Dear Maintainer,

your package has not been built successfully in 32. Action is required from you.

If you can fix your package to build, perform a build in koji, and either create
an update in bodhi, or close this bug without creating an update, if updating is
not appropriate [1]. If you are working on a fix, set the status to ASSIGNED to
acknowledge this. Following the latest policy for such packages [2], your package
will be orphaned if this bug remains in NEW state more than 8 weeks.

A week before the mass branching of Fedora 33 according to the schedule [3],
any packages not successfully rebuilt at least on Fedora 31 will be
retired regardless of the status of this bug.

[1] https://fedoraproject.org/wiki/Updates_Policy
[2] https://docs.fedoraproject.org/en-US/fesco/Fails_to_build_from_source_Fails_to_install/
[3] https://fedoraproject.org/wiki/Releases/33/Schedule

Comment 6 Fedora Release Engineering 2020-03-01 04:28:24 UTC
Dear Maintainer,

your package has not been built successfully in 32. Action is required from you.

If you can fix your package to build, perform a build in koji, and either create
an update in bodhi, or close this bug without creating an update, if updating is
not appropriate [1]. If you are working on a fix, set the status to ASSIGNED to
acknowledge this. Following the latest policy for such packages [2], your package
will be orphaned if this bug remains in NEW state more than 8 weeks.

A week before the mass branching of Fedora 33 according to the schedule [3],
any packages not successfully rebuilt at least on Fedora 31 will be
retired regardless of the status of this bug.

[1] https://fedoraproject.org/wiki/Updates_Policy
[2] https://docs.fedoraproject.org/en-US/fesco/Fails_to_build_from_source_Fails_to_install/
[3] https://fedoraproject.org/wiki/Releases/33/Schedule

Comment 7 Neal Gompa 2020-03-02 01:47:22 UTC
I'm taking care of this...

Comment 8 Fedora Update System 2020-03-02 02:27:18 UTC
FEDORA-2020-a9127a83e2 has been submitted as an update to Fedora 32. https://bodhi.fedoraproject.org/updates/FEDORA-2020-a9127a83e2

Comment 9 Fedora Blocker Bugs Application 2020-03-02 02:30:17 UTC
Proposed as a Freeze Exception for 32-beta by Fedora user ngompa using the blocker tracking app because:

 This fixes the FTBFS with libx86emu for F32.

Comment 10 Geoffrey Marr 2020-03-02 20:24:43 UTC
Discussed during the 2020-03-02 blocker review meeting: [0]

The decision to classify this bug as an "AcceptedFreezeException" was made as it is a noticeable issue that cannot be fixed with an update.

[0] https://meetbot.fedoraproject.org/fedora-blocker-review/2020-03-02/f32-blocker-review.2020-03-02-17.00.txt

Comment 11 Fedora Update System 2020-03-06 20:49:10 UTC
hwinfo-21.68-1.fc32, libx86emu-3.1-1.fc32 has been pushed to the Fedora 32 stable repository. If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.